summaryrefslogtreecommitdiff
path: root/etc/pkgs/006-tini.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2019-03-01 22:34:27 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2019-03-01 22:34:27 -0500
commit16f5e40a3ca2d1140d99e4a585328803db9910a7 (patch)
treebeb87d642e3e16981e87cac06e4cb5081bcbe003 /etc/pkgs/006-tini.sh
parente1bc91093e356dbd4f5a20aeb24abc80bbb1b539 (diff)
downloaddocker-base-16f5e40a3ca2d1140d99e4a585328803db9910a7.tar.gz
Build git before using it
Diffstat (limited to 'etc/pkgs/006-tini.sh')
-rwxr-xr-xetc/pkgs/006-tini.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/etc/pkgs/006-tini.sh b/etc/pkgs/006-tini.sh
new file mode 100755
index 0000000..12d44a7
--- /dev/null
+++ b/etc/pkgs/006-tini.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -xe
+
+sudo yum install -y cmake glibc-static || exit 1
+git clone https://github.com/krallin/tini.git
+export CFLAGS="${CFLAGS} -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37"
+
+pushd tini
+ git checkout v0.18.0
+ mkdir -p build
+ pushd build
+ cmake ..
+ make
+ install -m755 tini ${TOOLCHAIN_BIN}
+ popd
+popd
+
+rm -rf tini